summaryrefslogtreecommitdiff
path: root/gettext-tools/tests/xgettext-python-2
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-python-2')
-rwxr-xr-xgettext-tools/tests/xgettext-python-254
1 files changed, 54 insertions, 0 deletions
diff --git a/gettext-tools/tests/xgettext-python-2 b/gettext-tools/tests/xgettext-python-2
new file mode 100755
index 0000000..5f071d4
--- /dev/null
+++ b/gettext-tools/tests/xgettext-python-2
@@ -0,0 +1,54 @@
+#!/bin/sh
+. "${srcdir=.}/init.sh"; path_prepend_ . ../src
+
+# Test Python support: --add-comments option.
+
+cat <<EOF > xg-py-2.py
+# This comment will not be extracted.
+print gettext.gettext("help")
+# TRANSLATORS: This is an extracted comment.
+print gettext.gettext("me")
+# Not extracted either.
+print gettext.gettext("Hey Jude")
+# TRANSLATORS:
+# Nickname of the Beatles
+print gettext.gettext("The Fabulous Four")
+# TRANSLATORS: The strings get concatenated.
+print gettext.gettext("there is not enough"
+" room on a single line for this entire long, " # confusing, eh?
+"verbose string")
+EOF
+
+: ${XGETTEXT=xgettext}
+${XGETTEXT} --omit-header --no-location --add-comments=TRANSLATORS: \
+ -d xg-py-2.tmp xg-py-2.py || exit 1
+LC_ALL=C tr -d '\r' < xg-py-2.tmp.po > xg-py-2.po || exit 1
+
+cat <<EOF > xg-py-2.ok
+msgid "help"
+msgstr ""
+
+#. TRANSLATORS: This is an extracted comment.
+msgid "me"
+msgstr ""
+
+msgid "Hey Jude"
+msgstr ""
+
+#. TRANSLATORS:
+#. Nickname of the Beatles
+msgid "The Fabulous Four"
+msgstr ""
+
+#. TRANSLATORS: The strings get concatenated.
+msgid ""
+"there is not enough room on a single line for this entire long, verbose "
+"string"
+msgstr ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-py-2.ok xg-py-2.po
+result=$?
+
+exit $result